import json
from fastapi import FastAPI, Response
from fastapi.responses import JSONResponse
from logger import Logger
from settings import Settings
from sql import crud, models, database, schemas

settings = Settings()
logging = Logger(__name__)
log = logging.log
app = FastAPI()


@app.get("/")
async def root():
    return {"message": "Hello World"}


@app.get("/geojson")
async def geojson(response: Response):
    with open("/var/www/opendata_nm/www/streets/sorinieres.geojson", "r") as f:
        data = json.load(f)
    response.headers["Access-Control-Allow-Origin"] = "*"
    return data
