from datetime import datetime
from pydantic import BaseModel


class CategoriesBase(BaseModel):
    id: int
    name: str


class PointsBase(BaseModel):
    id_categories: int
    geolocalisation: str


class Categories(CategoriesBase):
    pass


class PointsCreate(PointsBase):
    pass


class Points(PointsBase):
    id: int


class VigiloCategoriesBase(BaseModel):
    id: int
    name: str


class VigiloCategories(VigiloCategoriesBase):
    pass


class VigiloObservations(BaseModel):
    id: str
    vigilo_categories_id: int
    geolocalisation: str
    datetime: datetime
    comment: str


class OnisrProcessedBase(BaseModel):
    accident_id: int
    gravite: int
    obstacle_mobile: int
    categorie_vehicule: int
    numero_vehicule: str
    intersection: int
    datetime: datetime
    geolocalisation: str


class OnisrProcessedCreate(OnisrProcessedBase):
    pass


class OnisrProcessed(OnisrProcessedBase):
    id: int
